{"openapi":"3.0.4","info":{"title":"ListRequestedChanges","description":"List the requested changes for a staged modification.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/stagedmodifications/{id}/requestedChanges":{"get":{"tags":["StagedModifications"],"summary":"ListRequestedChanges","description":"List the requested changes for a staged modification.","operationId":"ListRequestedChanges","parameters":[{"name":"id","in":"path","description":"Unique Id for a staged modification..","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to list changes. Defaults to return the latest version\r\n            of each staged change if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing requested staged modification changes from a previous call to list requested\r\n            staged modifications. This value is returned from the previous call. If a pagination token is provided the filter, effectiveAt\r\n            and asAt fields must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many. Defaults to 100 if not specified.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set.\r\n            Read more about filtering results from LUSID here https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"sortBy","in":"query","description":"A list of field names suffixed by \" ASC\" or \" DESC\"","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true}],"responses":{"200":{"description":"Requested changes in staged modification.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfStagedModificationsRequestedChangeInterval"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfStagedModificationsRequestedChangeInterval"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfStagedModificationsRequestedChangeInterval"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}